Bug 1658320 - Open vSwitch ovs-vswitchd startup time increased significantly in minor versions larger than -63
Summary: Open vSwitch ovs-vswitchd startup time increased significantly in minor versi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch2.10
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Timothy Redaelli
QA Contact: Rick Alongi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 18:17 UTC by Timothy Redaelli
Modified: 2019-01-07 08:51 UTC (History)
4 users (show)

Fixed In Version: openvswitch2.10-2.10.0-28.el7fdp.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1647498
Environment:
Last Closed: 2019-01-07 08:51:13 UTC


Attachments (Terms of Use)
files related to this BZ (20.00 KB, application/x-tar)
2018-12-16 23:06 UTC, Rick Alongi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0029 None None None 2019-01-07 08:51:15 UTC

Comment 4 Rick Alongi 2018-12-16 23:06:56 UTC
Created attachment 1514940 [details]
files related to this BZ

I've attached bz1658320.tar.gz containing the following files to this BZ:

restart_test_setup.txt: steps used to configure for the test
restart_test.sh: shell script to test for the issue
openvswitch2.10-2.10.0-1.el7fdp.x86_64_result.txt: output from testing with openvswitch2.10-2.10.0-1.el7fdp.x86_64 (no problem)
openvswitch2.10-2.10.0-10.el7fdp.x86_64_result.txt: output from testing with openvswitch2.10-2.10.0-10.el7fdp.x86_64 (problem)
openvswitch2.10-2.10.0-28.el7fdp.1.x86_64_result.txt: output from testing with openvswitch2.10-2.10.0-28.el7fdp.1.x86_64 (no problem)

I used a Pass/Fail threshold of 10 seconds for the restart time with this configuration since that was the baseline from builds before the issue was introduced.

Summary of test results:

===========================================================================
Test completed using openvswitch package openvswitch2.10-2.10.0-1.el7fdp.x86_64
Restart iterations: 50, Time threshold specified: 10 seconds
50 of 50 iterations PASSED
0 of 50 iterations FAILED
Average restart time per iteration: 10.00 seconds
===========================================================================
Final Test Result: PASSED

===========================================================================
===========================================================================
Test completed using openvswitch package openvswitch2.10-2.10.0-10.el7fdp.x86_64
Restart iterations: 50, Time threshold specified: 10 seconds
0 of 50 iterations PASSED
50 of 50 iterations FAILED
Average restart time per iteration: 15.00 seconds
===========================================================================
Final Test Result: FAILED

===========================================================================
===========================================================================
Test completed using openvswitch package openvswitch2.10-2.10.0-28.el7fdp.1.x86_64
Restart iterations: 50, Time threshold specified: 10 seconds
50 of 50 iterations PASSED
0 of 50 iterations FAILED
Average restart time per iteration: 9.00 seconds
===========================================================================
Final Test Result: PASSED

Based on the results referenced, I am marking this as Verified.

Comment 6 errata-xmlrpc 2019-01-07 08:51:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0029


Note You need to log in before you can comment on or make changes to this bug.